package com.example.trial.lovers.bdd;

import java.util.List;
import java.util.Optional;

import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import org.springframework.data.repository.query.Param;

public interface LoverRepository extends CrudRepository<Lover, Long> { 
	Optional<Lover> findById(Long id);
	@Query("SELECT l from Lover l where l.id = :id")
	List<Lover> getLoverById(@Param("id") Long id);
}